Skip to content
  • GET /{path} β€” List directory contents or download file
  • PUT /{path} β€” Upload file
  • PATCH /{path} β€” File operations
  • DELETE /{path} β€” Delete file or directory
  • HEAD /{path} β€” Get file metadata
  • PUT /api/v1/files/append/{path} β€” Append data to file
  • PATCH /api/v1/files/chmod/{path} β€” Change file permissions
  • PATCH /api/v1/files/chown/{path} β€” Change file ownership
  • POST /api/v1/files/copy/{path} β€” Copy file or directory
  • GET /api/v1/files/glob/{path} β€” Find files by glob pattern
  • GET /api/v1/files/grep/{path} β€” Search file contents (grep)
  • POST /api/v1/files/move/{path} β€” Move file or directory
  • GET /api/v1/files/realpath/{path} β€” Resolve canonical path (realpath)
  • GET /api/v1/files/stat/{path} β€” Get file metadata (stat)
  • GET /api/v1/files/{path} β€” List directory or download file
  • POST /api/v1/files/{path} β€” File operations (mkdir, extract, download, move, copy)
  • PUT /api/v1/files/{path} β€” Upload or append file
  • PATCH /api/v1/files/{path} β€” Modify file properties or move/rename
  • DELETE /api/v1/files/{path} β€” Delete file or directory
  • GET /{directory}?q β€” Search directory
  • PUT /{path}?touch β€” Touch file (create or update mtime)
Terminal window
# CLI mapping will be generated from the SDK CLI sources in a later step.
# Example (placeholder):
# hoody-cli <command> --help